#include "AdjList.h"
#include <stdlib.h>
#include <stdio.h>

int main(int argc, char *argv[]) {

   // precisa que o usuario passe um argumento ao iniciar
   // o programa na linha de comando
   
   if (argc < 2) {
      printf("Por favor, forneca a quantidade de vertices\n"); 
      printf("Exemplo para 6 vertices: ./aula04 6 \n\n");
      return 1;
   }
   
   int qV = atoi(argv[1]);
   int i;
   
   Digraph G;
   G = initDigraph(qV);
   insertArc(G, 0, 1);
   insertArc(G, 0, 2);
   insertArc(G, 0, 3);
   insertArc(G, 1, 4);
   insertArc(G, 3, 2);
   printDigraph(G);

   removeArc(G, 0, 1);
   removeArc(G, 0, 1);
   removeArc(G, 0, 3);

   printDigraph(G);
   return 0;
}